Subject: Re: Results for 2.97 20010115 (experimental) testsuite on i686-pc -cygwin
From: Christian Jönsson <[email-masked]>
To: "Mumit Khan" <[email-masked]>, "Billinghurst, David \(CRTS\)" <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 24 Jan 2001 08:26:10 +0100

I did not set DEJAGNULIBS nor TCL_LIBRARY, I used the test releases
dejagnu-20010117-1 and expect-20010117-1 and, magic, it flies...

/ChJ

----- Original Message -----
From: "Mumit Khan" <[email-masked]>
To: "Billinghurst, David (CRTS)" <[email-masked]>
Cc: "'Christian Jönsson'" <[email-masked]>; <[email-masked]>
Sent: Wednesday, January 24, 2001 1:18 AM
Subject: RE: Results for 2.97 20010115 (experimental) testsuite on
i686-pc -cygwin

> On Tue, 23 Jan 2001, Billinghurst, David (CRTS) wrote:
>
> >
> > I see you managed to get dejagnu running with cygwin installed in
c:\cygwin.
> > I have not been able to do this.   Did you install your own versions of
> > dejagnu, tcltk and expect.  If so, where did you get them from and how
did
> > you build them?
>
> I believe I had to set DEJAGNULIBS to c:/Cygwin/usr/share/dejagnu and
> *may* have had to set TCL_LIBRARY=c:/Cygwin/usr/share/tcl8.0 before
> running `make check'.
>
>   $ export DEJAGNULIBS=c:/Cygwin/usr/share/dejganu
>   $ export TCL_LIBRARY=c:/Cygwin/usr/share/tcl8.0
>   $ make check
>
> I'll try it again this evening and see if I needed anything more.
>
> That said, that gets you gcc and g77 tests; for g++, you may run
> into a problem in running dg.exp (it looks for "/tests.exp", which
> means something is looking for POSIX-style pathnames only). Time
> to start looking in Tcl to get the pathnames fixed once and for all
> so that it understands Cygwin mounts correctly.
>
> Christian hopefully has a better way of doing this!
>
> Regards,
> Mumit
>
>
>
>

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple